Transactions
curl --request POST \
--url https://api.allium.so/api/v1/developer/wallet/transactions \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
[
{
"chain": "ethereum",
"address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
}
]
'import requests
url = "https://api.allium.so/api/v1/developer/wallet/transactions"
payload = [
{
"chain": "ethereum",
"address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"
}
]
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify([{chain: 'ethereum', address: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'}])
};
fetch('https://api.allium.so/api/v1/developer/wallet/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"type": 123,
"address": "<string>",
"chain": "<string>",
"hash": "<string>",
"index": 123,
"within_block_order_key": 123,
"block_timestamp": "2023-11-07T05:31:56Z",
"block_number": 123,
"block_hash": "<string>",
"fee": {
"raw_amount": "<string>",
"amount_str": "<string>",
"amount": 123
},
"labels": [
"<string>"
],
"from_address": "<string>",
"to_address": "<string>",
"asset_transfers": [
{
"transaction_hash": "<string>",
"from_address": "<string>",
"to_address": "<string>",
"asset": {
"address": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"token_id": "<string>"
},
"amount": {
"raw_amount": "<string>",
"amount_str": "<string>",
"amount": 123
},
"log_index": 123
}
],
"activities": [
{
"asset": {
"address": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"token_id": "<string>"
},
"transaction_hash": "<string>",
"contract_address": "<string>",
"spender_address": "<string>",
"approved_amount": {
"raw_amount": "<string>",
"amount_str": "<string>",
"amount": 123
},
"type": "asset_approval",
"log_index": 123,
"trace_index": 123
}
]
}
],
"cursor": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Wallets
Fetch transactions
Get rich transaction activity data for wallets, including activities, asset transfers, and labels.
POST
/
api
/
v1
/
developer
/
wallet
/
transactions
Transactions
Each transaction in the response includes activities, asset transfers, and labels (where supported).
Supported Chains
Feature Support by Chain
| Feature | EVM | Solana | Bitcoin |
|---|---|---|---|
| History | Since genesis | Since 2022-01-01 | Since genesis |
| Asset transfers | ✅ | ✅ | ✅ |
| Activities | ✅ | ✅ | ❌ |
| Labels | ✅ | ❌ | ❌ |
Supported Activities by Chain
| Activity | Type | EVM | Solana | Bitcoin |
|---|---|---|---|---|
| Asset Approval | asset_approval | ✅ | N/A | ❌ |
| Asset Bridge | asset_bridge | ✅ | N/A | ❌ |
| DEX Trade | dex_trade | ✅ | ✅ | ❌ |
| Liquidity Pool Burn | dex_liquidity_pool_burn | ✅ | ❌ | ❌ |
| Liquidity Pool Mint | dex_liquidity_pool_mint | ✅ | ❌ | ❌ |
| Liquidity Pool Created | dex_liquidity_pool_created | ✅ | ❌ | ❌ |
| NFT Trade | nft_trade | ✅ | ✅ (Magic Eden v2 only) | ❌ |
Authorizations
Query Parameters
Activity type to filter transactions by
Limit the number of transactions returned. Default is 25.
Required range:
x <= 1000Filter by transaction hash
Cursor to request the next page of results.
Body
application/json
Response
Successful Response
items
(EVMWalletTransaction · object | SolanaWalletTransaction · object | BitcoinWalletTransaction · object | StellarWalletTransaction · object | NearWalletTransaction · object)[]
required
- EVMWalletTransaction
- SolanaWalletTransaction
- BitcoinWalletTransaction
- StellarWalletTransaction
- NearWalletTransaction
Show child attributes
Show child attributes
Was this page helpful?
⌘I